## org.firebirdsql.gds.impl.jni
Class InternalError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.firebirdsql.gds.impl.jni.InternalError

All Implemented Interfaces:
  Serializable

    public class InternalError

extends RuntimeException

Thrown from native code when unexpected errors occur.

See Also:
  Serialized Form

Constructor Summary
`InternalError(String message)`
`InternalError(String message, Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalError

    public InternalError(String message)

### InternalError

    public InternalError(String message,
                         Throwable cause)

Copyright © 2001-2010. All Rights Reserved.